## groovy.io
Class PlatformLineWriter

A buffered writer that gobbles any \r characters and replaces every \n with a platform specific newline. In many places Groovy normalises streams to only have \n characters but when creating files that must be used by other platform-aware tools, you sometimes want the newlines to match what the platform expects.

author:
  Paul King

Field Summary
`BufferedWriter` | `writer`

Constructor Summary
`PlatformLineWriter(Writer out)`
`PlatformLineWriter(Writer out, int sz)`

Method Summary
`void` | `close()`
`void` | `flush()`
`void` | `write(def cbuf, int off, int len)`

Constructor Detail

### PlatformLineWriter

    public PlatformLineWriter(Writer out)

### PlatformLineWriter

    public PlatformLineWriter(Writer out, int sz)

Method Detail

### close

    public void close()

### flush

    public void flush()

### write

    public void write(def cbuf, int off, int len)